@primary-color: #aab7f0;
@secondary-color: #f1a686;
@tertiary-color: #f6d698;
@base-margin: 10px;
@base-padding: 10px;
@border-color: #dfe4e4;
@gray: #f1f2f6;
@high: #fd6d83;
@disabled: lighten(@high, 20%);

.hr {
  height: 1px;
  background: @border-color;
  margin: @base-margin 0;
}

#root {
  @header-height: 60px;
  background: #fff;
  .nav-header {
    background: @primary-color;
    color: #fff;
    text-align: center;
    height: @header-height;
    line-height: $height;
    h1 {
      display: inline-block;
      margin: 0;
      padding: 0;
      text-transform: uppercase;
    }
  }
  .page.home {
    & > ul, & > ul > li {
      margin: 0;
      padding: 0;
      list-style-type: none;
    }
    .post-cards {
      margin: auto;
      max-width: 1024px;
      padding: @base-padding;
      .post-card {
        display: inline-block;
        width: 25%;
        padding: @base-padding * 2;
        &:nth-of-type(odd) .post-card-inner {
          background: @secondary-color;
        }
        &:nth-of-type(even) .post-card-inner {
          background: @tertiary-color;
        }
        a {
          display: block;
          color: #fff;
          .post-card-inner {
            text-align: center;
            height: 300px;
            line-height: $height - 50px;
            padding: @base-padding * 2;
            display: block;
            font-size: 22px;
            span {
              line-height: initial;
              display: inline-block;
              vertical-align: middle;
              word-break: break-word;
            }
          }
        }
      }
    }
  }
  .page.create {
    max-width: 600px;
    margin: auto;
    h2 {
      text-align: center;
    }
    form {
      .form-field-item {
        & > label {
          display: block;
          margin: @base-margin*3 0 @base-margin;
        }
        input {
          padding: 0 @base-padding;
          height: 40px;
          border: 1px solid @border-color;
          width: 100%;
          outline: none;
        }
        textarea {
          padding: @base-padding;
          border: 1px solid @border-color;
          width: 100%;
          outline: none;
        }
      }
      button, input[type='submit'] {
        background: @gray;
        height: 40px;
        line-height: 40px;
        width: 200px;
        border: none;
        color: #000;
        &.primary {
          background: @high;
        }
        &:disabled {
          background: @disabled;
        }
      }
      input[type='submit'] + button {
        margin-left: @base-margin*2;
      }
      .form-actions {
        text-align: center;
        margin: @base-margin*3 0;
      }
    }
  }
  .page.detail {
    max-width: 1024px;
    margin: auto;
    @aside-width: 300px;

    aside {
      width: @aside-width;
      float: left;
      background: @gray;
      height: calc(100vh - @header-height);
      ul, li {
        padding: @base-padding;  
        list-style-type: none;
        a {
          padding: @base-padding;
          display: block;
          word-break: break-word;
          color: #000;
          text-decoration: none;
          &:hover {
            transition: all .28s;
            background: #dfe4ea;
          }
        }
      }
    }
    section {
      padding: @base-padding*2;
      width: calc(100% - @aside-width);
      height: calc(100vh - @header-height);
      overflow-y: auto;
      margin-left: @aside-width;
      .title {
        text-align: center;
      }
      .actions {
        text-align: center;
        margin: @base-margin*3 0;
        button {
          background: @gray;
          height: 40px;
          line-height: 40px;
          width: 200px;
          border: none;
          color: #000;
          border: 1px solid $background;
          &.primary {
            background: @high;
            &:hover {
              transition: all .28s;
              border: 1px solid @high;
              background: #fff;
            }
          }
          &:disabled {
            background: @disabled;
          }
        }
        button + button {
          margin-left: @base-margin*2;
        }
      }
    }
  }
}
